Summary: An extensible window manager for the X Window System.
Name: sawfish
Version: 1.0
Release: 1
Requires: librep >= 0.14, rep-gtk >= 0.15, rep-gtk-gnome
Copyright: GPL
Group: User Interface/Desktops
Source: http://download.sourceforge.net/sawfish/sawfish-%{version}.tar.gz
Patch0: sawfish-%{version}-aix.patch
URL: http://sawmill.sourceforge.net/
Packager: John Harper <john@dcs.warwick.ac.uk>
Buildroot: /var/tmp/%{name}-root
BuildPrereq: rep-gtk-libglade control-center-devel texinfo
PreReq: /sbin/install-info
Prefix: %{_prefix}
Provides: windowmanager
Obsoletes: sawmill sawmill-gnome sawfish-gnome
%ifarch ia64
  %define DEFCCIA cc
  %define DEFCC %{DEFCCIA}
%else
  %define DEFCC cc
%endif

%description
Sawfish is an extensible window manager which uses a Lisp-based
scripting language.  All window decorations are configurable and the
basic idea is to have as much user-interface policy as possible
controlled through the Lisp language.  Configuration can be
accomplished by writing Lisp code in a personal .sawfishrc file, or
using a GTK+ interface.  Sawfish is mostly GNOME compliant

%package themer
Summary: A GUI for creating sawfish window manager themes.
Group: User Interface/Desktops
Requires: %{name}, rep-gtk-libglade
Obsoletes: sawmill-themer

%description themer
The sawfish-themer package contains an optional theme builder for the
sawfish window manager. sawfish-themer allows static window themes to
be created and edited in a graphical environment.

%prep
%setup -q
%patch0 -p1 -b .aix
#Temporary plugin workaround hack
#for plugin in 3d-hack.jl smart-placement.jl anim-outline.jl
#do
#   rm -f lisp/$plugin
#done

%build
# Use the default compiler for this platform - gcc otherwise
if [[ -z "$CC" ]]
then
    if test "X`type %{DEFCC} 2>/dev/null`" != 'X'; then
       export CC=%{DEFCC}
    else 
       export CC=gcc
    fi
fi
if test "X$CC" != "Xgcc"
then
       export RPM_OPT_FLAGS=`echo $RPM_OPT_FLAGS | sed 's:-fsigned-char::'`
       export CFLAGS="$RPM_OPT_FLAGS"
fi
autoconf
LDFLAGS="-Wl,-brtl" ./configure --prefix=%{_prefix} --with-readline
make host_type=%{_target_platform}

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_datadir}/gnome/wm-properties
mkdir -p $RPM_BUILD_ROOT%{_datadir}/control-center
mkdir -p $RPM_BUILD_ROOT%{_datadir}/gnome/apps/Settings
mkdir -p $RPM_BUILD_ROOT%{_bindir}
make install \
    DESTDIR=$RPM_BUILD_ROOT \
    GNOMEDIR=%{_prefix} \
    host_type=%{_target_platform}
gzip -9nf $RPM_BUILD_ROOT%{_infodir}/sawfish*

/usr/bin/strip $RPM_BUILD_ROOT%{prefix}/bin/* || :

(cd $RPM_BUILD_ROOT
    mkdir -p usr/bin
    cd usr/bin
    ln -sf ../..%{_bindir}/* .
    cd -
)

%post
/sbin/install-info %{_infodir}/sawfish.info.gz %{_infodir}/dir

%preun
if [ "$1" = 0 ]; then
    /sbin/install-info --delete %{_infodir}/sawfish.info.gz %{_infodir}/dir
fi

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README NEWS FAQ THANKS BUGS TODO
%doc po/sawfish.pot nokogiri/WIDGETS nokogiri/WISHLIST
%{_bindir}/sawfish
%{_bindir}/sawfish-client
%{_bindir}/sawfish-ui
%{_bindir}/sawfish-capplet
/usr/bin/sawfish
/usr/bin/sawfish-client
/usr/bin/sawfish-ui
/usr/bin/sawfish-capplet
%{_datadir}/sawfish/%{version}
%{_datadir}/control-center/Sawfish
%{_datadir}/gnome/apps/Settings/Sawfish
%{_datadir}/gnome/wm-properties/Sawfish.desktop
%{_datadir}/pixmaps/sawfish*.png
%{_libexecdir}/sawfish/%{version}/%{_target_platform}
%{_infodir}/sawfish*

%files themer
%defattr(-,root,root)
%{_bindir}/sawfish-themer
/usr/bin/sawfish-themer
%{_datadir}/sawfish/%{version}/themer.glade

%changelog
* Mon Sep 10 2001 Dan McNichol <mcnichol@austin.ibm.com>
- Update to version 1.0.

* Thu Apr 19 2001 David Clissold <cliss@austin.ibm.com>
- Binaries weren't being stripped

* Mon Apr 02 2001 Marc Stephenson <marc@austin.ibm.com>
- Rebuild without kdesupport

* Fri Mar 09 2001 Marc Stephenson <marc@austin.ibm.com>
- Add logic for default compiler
- Rebuild against new shared objects

* Fri Oct 27 2000 pkgmgr <pkgmgr@austin.ibm.com>
- Modify for AIX Freeware distribution

* Tue Jun 12 2000 John Harper <john@dcs.warwick.ac.uk>
- merged differences from RH spec file

* Mon Apr 24 2000 John Harper <john@dcs.warwick.ac.uk>
- s/sawmill/sawfish/

* Fri Sep 17 1999 John Harper <john@dcs.warwick.ac.uk>
- don't patch the Makefile

* Tue Sep 14 1999 Aron Griffis <agriffis@bigfoot.com>
- 0.6 spec file update: added buildroot
